package dk.vajhoej.record.edit;

import java.awt.GridLayout;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.swing.JLabel;
import javax.swing.JTextField;

import dk.vajhoej.record.FieldInfo;

class FieldDates extends FieldBase<Date> {
	private static final long serialVersionUID = 1L;
	private static final DateFormat df = new SimpleDateFormat("dd-MMM-yyyy HH:mm:ss");
	private JTextField val;
	public FieldDates(FieldInfo fi) {
		setLayout(new GridLayout(1, 2));
		val = new JTextField(fi.getLength());
		add(connect(new JLabel("Date value (DD-MMM-YYYY HH:MM:SS format):"), val));
		add(new JLabel(""));
	}
	public Date getValue() {
		try {
			return df.parse(val.getText());
		} catch (ParseException e) {
			return new Date();
		}
	}
	public void setValue(Date o) {
		val.setText(df.format(o));
	}
}
